=== debian/changelog ===
medm (3.1.9-13) unstable; urgency=medium

  * package version bump for a rebuild.

 -- Jonathan Hanks <jhanks@caltech.edu>  Mon, 27 Nov 2023 17:10:21 -0800

medm (3.1.9-12) unstable; urgency=medium

  * Add patch to fix empty values in arg strings.

 -- Erik von Reis <evonreis@caltech.edu>  Wed, 24 Nov 2021 17:11:04 -0800

medm (3.1.9-11) unstable; urgency=medium

  * Fix build-dependencies to allow for Buster rename of sciplot-dev

 -- Ryan Blair <ryan.blair@ligo.org>  Fri, 26 Jul 2019 18:25:52 -0700

medm (3.1.9-10) unstable; urgency=medium

  * Import reordered context menu patch (fka 'reorder-the-context-menu.patch')

 -- Ryan Blair <ryan.blair@ligo.org>  Thu, 06 Sep 2018 09:15:36 -0700

medm (3.1.9-9) unstable; urgency=medium

  * Import 'time machine' patch (fka 'dump_medm_screen.patch')

 -- Ryan Blair <ryan.blair@ligo.org>  Thu, 06 Sep 2018 09:11:10 -0700

medm (3.1.9-8) unstable; urgency=medium

  * Enable and depend on SciPlot for Cartesian plots in some panels.

 -- Ryan Blair <ryan.blair@ligo.org>  Tue, 20 Mar 2018 22:38:32 +0000

medm (3.1.9-7) unstable; urgency=medium

  * Update build/runtime deps to require a 3.15 epics-base and -extensions

 -- Ryan Blair <ryan.blair@ligo.org>  Tue, 28 Jun 2016 12:59:55 -0700

medm (3.1.9-6) unstable; urgency=low

  * Corrections to rules for i386 Motif linkage

 -- Ryan Blair <ryan.blair@ligo.org>  Wed, 23 Mar 2016 13:53:27 -0700

medm (3.1.9-5) unstable; urgency=low

  * Corrections to LIGO extensions (via Jonathan Hanks)

 -- Ryan Blair <ryan.blair@ligo.org>  Mon, 29 Jun 2015 18:04:41 +0000

medm (3.1.9-4) unstable; urgency=low

  * LIGO extensions downloading ADL files on the fly over HTTP(S)

 -- Ryan Blair <ryan.blair@ligo.org>  Fri, 19 Jun 2015 22:14:27 +0000

medm (3.1.9-3) unstable; urgency=low

  * LIGO extensions for macro expansion

 -- Ryan Blair <ryan.blair@ligo.org>  Fri, 19 Jun 2015 22:10:19 +0000

medm (3.1.9-2) unstable; urgency=low

  * Add long channel names patch for LIGO

 -- Ryan Blair <ryan.blair@ligo.org>  Fri, 19 Jun 2015 22:07:00 +0000

medm (3.1.9-1) unstable; urgency=low

  * Initial packaging

 -- Ryan Blair <ryan.blair@ligo.org>  Fri, 19 Jun 2015 21:39:11 +0000
