=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

EPICS_HOST_ARCH := $(shell /usr/lib/epics/startup/EpicsHostArch)

USR_LIB=/usr/lib/$(shell uname -m|sed s/686/386/g)-linux-gnu
USR_INC=/usr/include

TOP=/usr/lib/epics/extensions
X11_INC=$(USR_INC)/X11
X11_LIB=$(USR_LIB)
MOTIF_INC=$(USR_INC)
MOTIF_LIB=$(USR_LIB)
INSTALL_LOCATION_LIB=$(CURDIR)/debian/tmp

%:
	dh $@ --with epics

# noop (epics-debhelper dh_epicsdep broken on jessie?)
override_dh_epicsdep:


override_dh_auto_clean:
	-rm -rf $(INSTALL_LOCATION_LIB)
	-rm -rf */O.*

override_dh_auto_build:
	mkdir $(INSTALL_LOCATION_LIB)
	ln -sfn . $(INSTALL_LOCATION_LIB)/$(EPICS_HOST_ARCH)
	dh_auto_build -- \
	TOP=$(TOP) \
	X11_INC=$(X11_INC) \
	X11_LIB=$(X11_LIB) \
	MOTIF_INC=$(MOTIF_INC) \
	MOTIF_LIB=$(MOTIF_LIB) \
	INSTALL_LOCATION_LIB=$(INSTALL_LOCATION_LIB) \
	build

override_dh_auto_test:
	dh_auto_test -- \
	TOP=$(TOP)

override_dh_auto_install:

override_dh_install:
	mkdir -p $(CURDIR)/debian/medm/usr/bin
	cp $(CURDIR)/medm/O.$(EPICS_HOST_ARCH)/medm $(CURDIR)/debian/medm/usr/bin
